PETSc version 3.15.5
Fix/Edit manual page

# SNESGetNPCFunction

Gets the function from a preconditioner after SNESSolve() has been called.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetNPCFunction(SNES snes,Vec F,PetscReal *fnorm)

Collective on SNES

### Input Parameters

| snes | - the SNES context

### Output Parameter

| F | - function vector
| fnorm | - the norm of F

### See Also

SNESGetNPC(),SNESSetNPC(),SNESComputeFunction(),SNESApplyNPC(),SNESSolve()

### Level

developer

### Location

src/snes/interface/snespc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages